Bug Hunting Session
Bug 60906 - Make color configuration consistent
Summary: Make color configuration consistent
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: difficultyInteresting, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2013-02-15 15:32 UTC by Thomas Arnhold
Modified: 2017-02-14 08:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Arnhold 2013-02-15 15:32:53 UTC
There are some inconsistencies within the color configuration. Some of them are uncovered and fixed already. See bug#59042 and bug#51535.

Problem is, that two lists of default colors exist:

ColorConfig::GetDefaultColor

http://opengrok.libreoffice.org/xref/core/svtools/source/config/colorcfg.cxx#407

ImplStyleData::SetStandardStyles

http://opengrok.libreoffice.org/xref/core/vcl/source/app/settings.cxx#389

Those lines point to APPBACKGROUND where's a difference in the settings. Another example is LINKVISITED.

Tasks: As a first step compare both lists and bring them into compliance.

Afterwards it would be nice to drop one of both lists. Kendy stated in a mail that it would be colorcfg.cxx:

> So it would be nice to align both lists. And to remove some more 
> inconsistencies. Maybe SetStandardStyles is some kind of outdated?!

This is a great point - I already wanted to do that at some stage, but
then forgot :-(  Please go ahead - I'd like colorcfg.cxx and related
die, and handle everything in vcl, there is really no point in
maintaining 2 lists; but still some distinction between "default" and
"configured by user" will have to stay even we consolidate the lists.
Comment 1 Björn Michaelsen 2013-10-04 18:46:50 UTC
adding LibreOffice developer list as CC to unresolved EasyHacks for better visibility.

see e.g. http://nabble.documentfoundation.org/minutes-of-ESC-call-td4076214.html for details
Comment 2 Commit Notification 2014-11-05 09:33:58 UTC
Ioan Radu committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6cc8ed7d64b4c01550539170c1848f1152e433af

fdo#60906 - Make color configuration consistent

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Feyza 2015-10-23 22:48:46 UTC
I sent following patch for this bug:

https://gerrit.libreoffice.org/#/c/19538/
Comment 4 Feyza 2015-10-24 18:53:31 UTC
(In reply to Feyza from comment #3)
> I sent following patch for this bug:
> 
> https://gerrit.libreoffice.org/#/c/19571/
Comment 5 Commit Notification 2015-10-27 15:46:30 UTC
Feyza Yavuz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ce15c93cec284440244e63bea75a016e9f2c9f04

tdf#60906 make color configuration consistent

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-11-16 07:40:46 UTC
Sedat Ak committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8c685962f4816a4920a41949fdcea5e843929098

tdf#60906 Make color configuration consistent

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-14 07:02:40 UTC Comment hidden (obsolete)
Comment 8 Robinson Tryon (qubit) 2016-02-18 14:51:36 UTC Comment hidden (obsolete)
Comment 9 jani 2016-05-04 06:05:29 UTC
seems solved